import Feature from 'ol/Feature';
import Geometry from 'ol/geom/Geometry';
import { DynamicStyleMap, IOlStyleMap, IVectorLayerStyle, IVectorFeatureStyle, IClusterSettings, ClusterClickAction } from './ol-style-contracts';
export declare function vectorStyleToStyleMap(style: IVectorFeatureStyle): IOlStyleMap | DynamicStyleMap;
/**
 * @since 0.14
 */
export declare class OLStyleMapSet {
    private readonly origStyleDef;
    private readonly clusterStyleDef;
    private rules;
    private clusterRules;
    private exprContext;
    private defaultStyleMap;
    constructor(origStyleDef: IVectorLayerStyle, clusterStyleDef: IClusterSettings | undefined);
    toVectorLayerStyle(): IVectorLayerStyle;
    toClusterSettings(): IClusterSettings | undefined;
    getClusterClickAction(): ClusterClickAction | undefined;
    evaluateStyle(feature: Feature<Geometry>): any;
}
